(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('tslib'), require('@ts-ioc/bootstrap'), require('@ts-ioc/platform-browser'), require('@ts-ioc/core')) :
	typeof define === 'function' && define.amd ? define(['tslib', '@ts-ioc/bootstrap', '@ts-ioc/platform-browser', '@ts-ioc/core'], factory) :
	(global['platform-browser-activities'] = global['platform-browser-activities'] || {}, global['platform-browser-activities'].js = factory(global.tslib,global['@ts-ioc/bootstrap'],global['@ts-ioc/platform-browser'],global['@ts-ioc/core']));
}(this, (function (tslib_1,bootstrap_1,platform_browser_1,core) { 'use strict';

tslib_1 = tslib_1 && tslib_1.hasOwnProperty('default') ? tslib_1['default'] : tslib_1;
bootstrap_1 = bootstrap_1 && bootstrap_1.hasOwnProperty('default') ? bootstrap_1['default'] : bootstrap_1;
platform_browser_1 = platform_browser_1 && platform_browser_1.hasOwnProperty('default') ? platform_browser_1['default'] : platform_browser_1;
core = core && core.hasOwnProperty('default') ? core['default'] : core;

function unwrapExports (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var BootstrapModule = createCommonjsModule(function (module, exports) {
Object.defineProperty(exports, "__esModule", { value: true });




let processRoot = !core.isUndefined(System) ? System.baseURL : '.';
/**
 * browser app.
 *
 * @export
 * @template T
 * @param {string} [baseURL]
 * @returns {IApplicationBuilderBrowser<T>}
 */
function browserApp(baseURL) {
    return new bootstrap_1.ApplicationBuilder(baseURL).use(BrowserBootstrapModule);
}
exports.browserApp = browserApp;
let BrowserBootstrapModule = class BrowserBootstrapModule {
    static getClassAnnations() {
        return { "name": "BrowserBootstrapModule", "params": {} };
    }
};
BrowserBootstrapModule = tslib_1.__decorate([
    bootstrap_1.DIModule({
        imports: [
            platform_browser_1.BrowserModule
        ],
        providers: [
            { provide: bootstrap_1.ProcessRunRootToken, useValue: processRoot }
        ],
        exports: [
            platform_browser_1.BrowserModule
        ]
    })
], BrowserBootstrapModule);
exports.BrowserBootstrapModule = BrowserBootstrapModule;


});

unwrapExports(BootstrapModule);
var BootstrapModule_1 = BootstrapModule.browserApp;
var BootstrapModule_2 = BootstrapModule.BrowserBootstrapModule;

var D__workspace_github_tsioc_packages_platformBrowserBootstrap_es2015 = createCommonjsModule(function (module, exports) {
Object.defineProperty(exports, "__esModule", { value: true });

tslib_1.__exportStar(BootstrapModule, exports);


});

var index = unwrapExports(D__workspace_github_tsioc_packages_platformBrowserBootstrap_es2015);

return index;

})));

//# sourceMappingURL=sourcemaps/platform-browser-activities.js.map
